# Uses of Interface
org.springframework.beans.PropertyEditorRegistry

Packages that use PropertyEditorRegistry
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.support
Classes supporting the org.springframework.beans package, such as utility classes for sorting and holding lists of beans.

## Uses of PropertyEditorRegistry in org.springframework.beans

Subinterfaces of PropertyEditorRegistry in org.springframework.beans
Modifier and Type
Interface
Description
`interface`
`BeanWrapper`
The central interface of Spring's low-level JavaBeans infrastructure.
`interface`
`ConfigurablePropertyAccessor`
Interface that encapsulates configuration methods for a PropertyAccessor.
Classes in org.springframework.beans that implement PropertyEditorRegistry
Modifier and Type
Class
Description
`class`
`AbstractNestablePropertyAccessor`
A basic `ConfigurablePropertyAccessor` that provides the necessary infrastructure for all typical use cases.
`class`
`AbstractPropertyAccessor`
Abstract implementation of the `PropertyAccessor` interface.
`class`
`BeanWrapperImpl`
Default `BeanWrapper` implementation that should be sufficient for all typical use cases.
`class`
`DirectFieldAccessor`
`ConfigurablePropertyAccessor` implementation that directly accesses instance fields.
`class`
`PropertyEditorRegistrySupport`
Base implementation of the `PropertyEditorRegistry` interface.
`class`
`SimpleTypeConverter`
Simple implementation of the `TypeConverter` interface that does not operate on a specific target object.
`class`
`TypeConverterSupport`
Base implementation of the `TypeConverter` interface, using a package-private delegate.
Methods in org.springframework.beans with parameters of type PropertyEditorRegistry
Modifier and Type
Method
Description
`protected void`
PropertyEditorRegistrySupport.`copyCustomEditorsTo(PropertyEditorRegistry target, String nestedProperty)`
Copy the custom editors registered in this instance to the given target registry.
`void`
PropertyEditorRegistrar.`registerCustomEditors(PropertyEditorRegistry registry)`
Register custom `PropertyEditors` with the given `PropertyEditorRegistry`.

## Uses of PropertyEditorRegistry in org.springframework.beans.factory.config

Methods in org.springframework.beans.factory.config with parameters of type PropertyEditorRegistry
Modifier and Type
Method
Description
`void`
ConfigurableBeanFactory.`copyRegisteredEditorsTo(PropertyEditorRegistry registry)`
Initialize the given PropertyEditorRegistry with the custom editors that have been registered with this BeanFactory.

## Uses of PropertyEditorRegistry in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support with parameters of type PropertyEditorRegistry
Modifier and Type
Method
Description
`void`
AbstractBeanFactory.`copyRegisteredEditorsTo(PropertyEditorRegistry registry)`
`protected void`
AbstractBeanFactory.`registerCustomEditors(PropertyEditorRegistry registry)`
Initialize the given PropertyEditorRegistry with the custom editors that have been registered with this BeanFactory.

## Uses of PropertyEditorRegistry in org.springframework.beans.support

Methods in org.springframework.beans.support with parameters of type PropertyEditorRegistry
Modifier and Type
Method
Description
`void`
ResourceEditorRegistrar.`registerCustomEditors(PropertyEditorRegistry registry)`
Populate the given `registry` with the following resource editors: ResourceEditor, InputStreamEditor, InputSourceEditor, FileEditor, URLEditor, URIEditor, ClassEditor, ClassArrayEditor.